| Earth Observation Mission CFI Software FileHandlling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.FixedHeader Class Reference

Class to store fixed header data of XML files. More...

List of all members.

## Public Member Functions
| FixedHeader ()
| Constructor.
| FixedHeader (final String fileNam, final String schemaIn, final String fileDescriptio, final String note, final String missio, final String fileClas, final String fileTyp, final String valStartDat, final String valStopDat, final long versio, final String syste, final String creato, final String creatorVersio, final String creationDat, final long fileExtensionTyp)
| Constructor with arguments.
| FixedHeader (final String fileNam, final String schemaIn, final String fileDescriptio, final String note, final String missio, final String fileClas, final String fileTyp, final String valStartDat, final String valStopDat, final long versio, final String eoffs, final String syste, final String creato, final String creatorVersio, final String creationDat, final long fileExtensionTyp)
| Constructor with arguments.
## Public Attributes
String | fileName
| File name.
String | schema
| File schema.
String | fileDescription
| File description.
String | notes
| File notes.
String | mission
| Mission.
String | fileClass
| File class.
String | fileType
| File type.
String | valStartDate
| Validity start date.
String | valStopDate
| Validity stop date.
long | version
| File version.
String | eoffs_version
| EOFFS version.
String | system
| System.
String | creator
| File creator.
String | creatorVersion
| File version.
String | creationDate
| File creation date.
long | fileExtensionType
| File extension.

## Detailed Description

Class to store fixed header data of XML files.

## Constructor & Destructor Documentation

EECFI.FixedHeader.FixedHeader | ( |  | ) |

Constructor.

Creates a new instance of FixedHeader.

EECFI.FixedHeader.FixedHeader | ( | final String | fileNam,
|  | final String | schemaIn,
|  | final String | fileDescriptio,
|  | final String | note,
|  | final String | missio,
|  | final String | fileClas,
|  | final String | fileTyp,
|  | final String | valStartDat,
|  | final String | valStopDat,
|  | final long | versio,
|  | final String | syste,
|  | final String | creato,
|  | final String | creatorVersio,
|  | final String | creationDat,
|  | final long | fileExtensionTyp |
| ) |  |  |

Constructor with arguments.

EECFI.FixedHeader.FixedHeader | ( | final String | fileNam,
|  | final String | schemaIn,
|  | final String | fileDescriptio,
|  | final String | note,
|  | final String | missio,
|  | final String | fileClas,
|  | final String | fileTyp,
|  | final String | valStartDat,
|  | final String | valStopDat,
|  | final long | versio,
|  | final String | eoffs,
|  | final String | syste,
|  | final String | creato,
|  | final String | creatorVersio,
|  | final String | creationDat,
|  | final long | fileExtensionTyp |
| ) |  |  |

Constructor with arguments.

## Member Data Documentation

String EECFI.FixedHeader.creationDate

File creation date.

String EECFI.FixedHeader.creator

File creator.

String EECFI.FixedHeader.creatorVersion

File version.

String EECFI.FixedHeader.eoffs_version

EOFFS version.

String EECFI.FixedHeader.fileClass

File class.

String EECFI.FixedHeader.fileDescription

File description.

long EECFI.FixedHeader.fileExtensionType

File extension.

Allowed values given by FileExtensionTypeEnum.

String EECFI.FixedHeader.fileName

File name.

String EECFI.FixedHeader.fileType

File type.

String EECFI.FixedHeader.mission

Mission.

String EECFI.FixedHeader.notes

File notes.

String EECFI.FixedHeader.schema

File schema.

String EECFI.FixedHeader.system

System.

String EECFI.FixedHeader.valStartDate

Validity start date.

String EECFI.FixedHeader.valStopDate

Validity stop date.

long EECFI.FixedHeader.version

File version.